Saves a point-in-time snapshot of resource utilization.
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/resource-snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cpu_percent": 123,
"memory_limit_mb": 123,
"memory_mb": 123,
"network_rx_bytes": 123,
"network_tx_bytes": 123
}
'{
"cpu_percent": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"memory_limit_mb": 123,
"memory_mb": 123,
"network_rx_bytes": 123,
"network_tx_bytes": 123,
"run_id": "<string>",
"$schema": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/RunResourceSnapshot.json"
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/resource-snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cpu_percent": 123,
"memory_limit_mb": 123,
"memory_mb": 123,
"network_rx_bytes": 123,
"network_tx_bytes": 123
}
'{
"cpu_percent": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"memory_limit_mb": 123,
"memory_mb": 123,
"network_rx_bytes": 123,
"network_tx_bytes": 123,
"run_id": "<string>",
"$schema": "<string>"
}